## mobile-trade 0.1-2

=== app/Makefile ===
#############################################################################
# Makefile for building: mobiletrade
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Apr 26 18:55:46 2010
# Project:  app.pro
# Template: app
# Command: /usr/local/bin/qmake -unix -o Makefile app.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/opt/qt4-maemo5/mkspecs/linux-g++ -I. -I/opt/qt4-maemo5/include/QtCore -I/opt/qt4-maemo5/include/QtNetwork -I/opt/qt4-maemo5/include/QtGui -I/opt/qt4-maemo5/include/QtXml -I/opt/qt4-maemo5/include/QtSql -I/opt/qt4-maemo5/include/QtDBus -I/opt/qt4-maemo5/include/QtMaemo5 -I/opt/qt4-maemo5/include -I. -Ibusiness_logic -Imodel -Idatabase -Inetwork -Isrc/network/lib/qtsoap-2.7/src -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtSql -lQtGui -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/local/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = src/network/lib/qtsoap-2.7/src/qtsoap.cpp \
		src/main.cpp \
		src/model/order.cpp \
		src/business_logic/manager.cpp \
		src/model/good.cpp \
		src/database/mdb.cpp \
		src/model/ordered.cpp \
		src/model/contractor.cpp \
		src/model/goodstype.cpp \
		src/model/deliverytype.cpp \
		src/model/sellpoint.cpp \
		src/model/paytype.cpp \
		src/model/pricetype.cpp \
		src/model/contract.cpp \
		src/model/sellfirm.cpp \
		src/model/goodstree.cpp \
		src/network/soapclient.cpp \
		src/network/demo.cpp \
		src/network/ozon.cpp \
		src/business_logic/demoservicelogic.cpp moc_qtsoap.cpp \
		moc_manager.cpp \
		moc_imainwindow.cpp \
		moc_soapclient.cpp \
		moc_demo.cpp \
		moc_ozon.cpp \
		moc_demoservicelogic.cpp
OBJECTS       = qtsoap.o \
		main.o \
		order.o \
		manager.o \
		good.o \
		mdb.o \
		ordered.o \
		contractor.o \
		goodstype.o \
		deliverytype.o \
		sellpoint.o \
		paytype.o \
		pricetype.o \
		contract.o \
		sellfirm.o \
		goodstree.o \
		soapclient.o \
		demo.o \
		ozon.o \
		demoservicelogic.o \
		moc_qtsoap.o \
		moc_manager.o \
		moc_imainwindow.o \
		moc_soapclient.o \
		moc_demo.o \
		moc_ozon.o \
		moc_demoservicelogic.o
DIST          = /opt/qt4-maemo5/mkspecs/common/g++.conf \
		/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		src/network/lib/qtsoap-2.7/common.pri \
		src/network/lib/qtsoap-2.7/src/qtsoap.pri \
		/opt/qt4-maemo5/mkspecs/features/release.prf \
		/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		app.pro
QMAKE_TARGET  = mobiletrade
DESTDIR       = 
TARGET        = mobiletrade

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: app.pro  /opt/qt4-maemo5/mkspecs/linux-g++/qmake.conf /opt/qt4-maemo5/mkspecs/common/g++.conf \
		/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		src/network/lib/qtsoap-2.7/common.pri \
		src/network/lib/qtsoap-2.7/src/qtsoap.pri \
		/opt/qt4-maemo5/mkspecs/features/release.prf \
		/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtSql.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile app.pro
/opt/qt4-maemo5/mkspecs/common/g++.conf:
/opt/qt4-maemo5/mkspecs/common/unix.conf:
/opt/qt4-maemo5/mkspecs/common/linux.conf:
/opt/qt4-maemo5/mkspecs/qconfig.pri:
/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
src/network/lib/qtsoap-2.7/common.pri:
src/network/lib/qtsoap-2.7/src/qtsoap.pri:
/opt/qt4-maemo5/mkspecs/features/release.prf:
/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/opt/qt4-maemo5/mkspecs/features/qt.prf:
/opt/qt4-maemo5/mkspecs/features/moc.prf:
/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf:
/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf:
/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/opt/qt4-maemo5/mkspecs/features/resources.prf:
/opt/qt4-maemo5/mkspecs/features/uic.prf:
/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/opt/qt4-maemo5/mkspecs/features/lex.prf:
/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtSql.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile app.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/mobiletrade1.0.0 || $(MKDIR) .tmp/mobiletrade1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/mobiletrade1.0.0/ && $(COPY_FILE) --parents src/network/lib/qtsoap-2.7/src/qtsoap.h src/model/order.h src/business_logic/manager.h src/model/good.h src/database/mdb.h src/model/ordered.h src/model/contractor.h src/model/goodstype.h src/model/deliverytype.h src/model/sellpoint.h src/model/paytype.h src/model/pricetype.h src/model/contract.h src/model/sellfirm.h src/user_interface/maemo/graphicsinterface.h src/user_interface/maemo/imainwindow.h src/model/goodstree.h src/network/soapclient.h src/network/demo.h src/network/ozon.h src/business_logic/demoservicelogic.h src/user_interface/maemo/graphicsinterface.h src/user_interface/maemo/imainwindow.h .tmp/mobiletrade1.0.0/ && $(COPY_FILE) --parents src/network/lib/qtsoap-2.7/src/qtsoap.cpp src/main.cpp src/model/order.cpp src/business_logic/manager.cpp src/model/good.cpp src/database/mdb.cpp src/model/ordered.cpp src/model/contractor.cpp src/model/goodstype.cpp src/model/deliverytype.cpp src/model/sellpoint.cpp src/model/paytype.cpp src/model/pricetype.cpp src/model/contract.cpp src/model/sellfirm.cpp src/model/goodstree.cpp src/network/soapclient.cpp src/network/demo.cpp src/network/ozon.cpp src/business_logic/demoservicelogic.cpp .tmp/mobiletrade1.0.0/ && (cd `dirname .tmp/mobiletrade1.0.0` && $(TAR) mobiletrade1.0.0.tar mobiletrade1.0.0 && $(COMPRESS) mobiletrade1.0.0.tar) && $(MOVE) `dirname .tmp/mobiletrade1.0.0`/mobiletrade1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/mobiletrade1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qtsoap.cpp moc_manager.cpp moc_imainwindow.cpp moc_soapclient.cpp moc_demo.cpp moc_ozon.cpp moc_demoservicelogic.cpp moc_imainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qtsoap.cpp moc_manager.cpp moc_imainwindow.cpp moc_soapclient.cpp moc_demo.cpp moc_ozon.cpp moc_demoservicelogic.cpp moc_imainwindow.cpp
moc_qtsoap.cpp: src/network/lib/qtsoap-2.7/src/qtsoap.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) src/network/lib/qtsoap-2.7/src/qtsoap.h -o moc_qtsoap.cpp

moc_manager.cpp: src/user_interface/maemo/InformationObjects/goodinfoobject.h \
		src/user_interface/maemo/InformationObjects/goodsviewinfoobject.h \
		src/user_interface/maemo/InformationObjects/pathinfoobject.h \
		src/user_interface/maemo/InformationObjects/serviceinfoobject.h \
		src/business_logic/demoservicelogic.h \
		src/model/order.h \
		src/model/good.h \
		src/database/mdb.h \
		src/model/contractor.h \
		src/model/deliverytype.h \
		src/model/sellpoint.h \
		src/model/paytype.h \
		src/model/pricetype.h \
		src/model/contract.h \
		src/model/sellfirm.h \
		src/network/soapclient.h \
		src/network/demo.h \
		src/network/lib/qtsoap-2.7/src/qtsoap.h \
		src/network/ozon.h \
		src/model/goodstree.h \
		src/model/goodstype.h \
		src/business_logic/manager.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) src/business_logic/manager.h -o moc_manager.cpp

moc_imainwindow.cpp: src/user_interface/maemo/InformationObjects/goodinfoobject.h \
		src/user_interface/maemo/InformationObjects/goodsviewinfoobject.h \
		src/user_interface/maemo/InformationObjects/pathinfoobject.h \
		src/user_interface/maemo/InformationObjects/serviceinfoobject.h \
		src/user_interface/maemo/InformationObjects/ordersinfoobject.h \
		src/user_interface/maemo/imainwindow.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) src/user_interface/maemo/imainwindow.h -o moc_imainwindow.cpp

moc_soapclient.cpp: src/network/demo.h \
		src/network/lib/qtsoap-2.7/src/qtsoap.h \
		src/network/ozon.h \
		src/network/soapclient.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) src/network/soapclient.h -o moc_soapclient.cpp

moc_demo.cpp: src/network/lib/qtsoap-2.7/src/qtsoap.h \
		src/network/demo.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) src/network/demo.h -o moc_demo.cpp

moc_ozon.cpp: src/network/lib/qtsoap-2.7/src/qtsoap.h \
		src/network/ozon.h
