=== app/test/model/Makefile ===
#############################################################################
# Makefile for building: TestModel
# Generated by qmake (2.01a) (Qt 4.4.3) on: Fri Feb 26 15:02:32 2010
# Project:  TestModel.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile TestModel.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_TESTLIB_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -fmessage-length=0 -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -fmessage-length=0 -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/default -I. -I/usr/include/QtCore -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include/QtGui -I/usr/include/QtTest -I/usr/include/QtTest -I/usr/include -I../../src/model -I. -I.
LINK          = g++
LFLAGS        = -m64
LIBS          = $(SUBLIBS)  -L/usr/lib64 -L/usr/lib64 -pthread -pthread -lQtTest -pthread -pthread -lQtGui -L/usr/X11R6/lib64 -pthread -lpng -lSM -lICE -pthread -pthread -lXi -lXrender -lXrandr -lXfixes -lXcursor -lXinerama -lfreetype -lfontconfig -lXext -lX11 -lQtCore -lz -lm -pthread -lgthread-2.0 -lrt -lglib-2.0 -ldl -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = TestModel.cpp \
		../../src/model/order.cpp \
		../../src/model/document.cpp \
		TestOrder.cpp moc_TestOrder.cpp
OBJECTS       = TestModel.o \
		order.o \
		document.o \
		TestOrder.o \
		moc_TestOrder.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		TestModel.pro
QMAKE_TARGET  = TestModel
DESTDIR       = 
TARGET        = TestModel

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: TestModel.pro  /usr/share/qt4/mkspecs/default/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib64/libQtTest.prl \
		/usr/lib64/libQtCore.prl \
		/usr/lib64/libQtGui.prl
	$(QMAKE) -unix -o Makefile TestModel.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qtestlib.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib64/libQtTest.prl:
/usr/lib64/libQtCore.prl:
/usr/lib64/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile TestModel.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/TestModel1.0.0 || $(MKDIR) .tmp/TestModel1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/TestModel1.0.0/ && $(COPY_FILE) --parents TestOrder.h ../../src/model/order.h ../../src/model/document.h .tmp/TestModel1.0.0/ && $(COPY_FILE) --parents TestModel.cpp ../../src/model/order.cpp ../../src/model/document.cpp TestOrder.cpp .tmp/TestModel1.0.0/ && (cd `dirname .tmp/TestModel1.0.0` && $(TAR) TestModel1.0.0.tar TestModel1.0.0 && $(COMPRESS) TestModel1.0.0.tar) && $(MOVE) `dirname .tmp/TestModel1.0.0`/TestModel1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/TestModel1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_TestOrder.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_TestOrder.cpp
moc_TestOrder.cpp: ../../src/model/order.h \
		../../src/model/document.h \
		../../src/model/good.h \
		../../src/model/contractor.h \
		TestOrder.h
	/usr/bin/moc $(DEFINES) $(INCPATH) TestOrder.h -o moc_TestOrder.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

TestModel.o: TestModel.cpp TestOrder.h \
		../../src/model/order.h \
		../../src/model/document.h \
		../../src/model/good.h \
		../../src/model/contractor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o TestModel.o TestModel.cpp

order.o: ../../src/model/order.cpp ../../src/model/order.h \
		../../src/model/document.h \
		../../src/model/good.h \
		../../src/model/contractor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o order.o ../../src/model/order.cpp

document.o: ../../src/model/document.cpp ../../src/model/document.h \
		../../src/model/good.h \
		../../src/model/contractor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o document.o ../../src/model/document.cpp

TestOrder.o: TestOrder.cpp TestOrder.h \
		../../src/model/order.h \
		../../src/model/document.h \
		../../src/model/good.h \
		../../src/model/contractor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o TestOrder.o TestOrder.cpp

moc_TestOrder.o: moc_TestOrder.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_TestOrder.o moc_TestOrder.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
