=== app/src/network/lib/qtsoap-2.7/Makefile ===
#############################################################################
# Makefile for building: qtsoap
# Generated by qmake (2.01a) (Qt 4.6.1) on: ?? 24. ??? 21:34:18 2010
# Project:  qtsoap.pro
# Template: subdirs
# Command: c:\Qt\2010.01\qt\bin\qmake.exe -win32 -o Makefile qtsoap.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = c:\Qt\2010.01\qt\bin\qmake.exe
DEL_FILE      = del
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = del
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
SUBTARGETS    =  \
		sub-examples

examples\$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) examples\ $(MKDIR) examples\ 
	cd examples\ && $(QMAKE) examples.pro -win32 -o $(MAKEFILE)
sub-examples-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) examples\ $(MKDIR) examples\ 
	cd examples\ && $(QMAKE) examples.pro -win32 -o $(MAKEFILE)
sub-examples: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE)
sub-examples-make_default-ordered: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) 
sub-examples-make_default: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) 
sub-examples-make_first-ordered: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) first
sub-examples-make_first: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) first
sub-examples-all-ordered: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) all
sub-examples-all: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) all
sub-examples-clean-ordered: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) clean
sub-examples-clean: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) clean
sub-examples-distclean-ordered: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) distclean
sub-examples-distclean: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) distclean
sub-examples-install_subtargets-ordered: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) install
sub-examples-install_subtargets: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) install
sub-examples-uninstall_subtargets-ordered: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) uninstall
sub-examples-uninstall_subtargets: examples\$(MAKEFILE) FORCE
	cd examples\ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: qtsoap.pro  c:/Qt/2010.01/qt/mkspecs/default/qmake.conf c:/Qt/2010.01/qt/mkspecs/qconfig.pri \
		c:/Qt/2010.01/qt/mkspecs/features/qt_functions.prf \
		c:/Qt/2010.01/qt/mkspecs/features/qt_config.prf \
		c:/Qt/2010.01/qt/mkspecs/features/exclusive_builds.prf \
		c:/Qt/2010.01/qt/mkspecs/features/default_pre.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/default_pre.prf \
		common.pri \
		c:/Qt/2010.01/qt/mkspecs/features/debug.prf \
		c:/Qt/2010.01/qt/mkspecs/features/debug_and_release.prf \
		c:/Qt/2010.01/qt/mkspecs/features/default_post.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/default_post.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/rtti.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/exceptions.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/stl.prf \
		c:/Qt/2010.01/qt/mkspecs/features/shared.prf \
		c:/Qt/2010.01/qt/mkspecs/features/warn_on.prf \
		c:/Qt/2010.01/qt/mkspecs/features/qt.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/thread.prf \
		c:/Qt/2010.01/qt/mkspecs/features/moc.prf \
		c:/Qt/2010.01/qt/mkspecs/features/win32/windows.prf \
		c:/Qt/2010.01/qt/mkspecs/features/resources.prf \
		c:/Qt/2010.01/qt/mkspecs/features/uic.prf \
		c:/Qt/2010.01/qt/mkspecs/features/yacc.prf \
		c:/Qt/2010.01/qt/mkspecs/features/lex.prf \
		c:/Qt/2010.01/qt/mkspecs/features/include_source_dir.prf
	$(QMAKE) -win32 -o Makefile qtsoap.pro
c:\Qt\2010.01\qt\mkspecs\qconfig.pri:
c:\Qt\2010.01\qt\mkspecs\features\qt_functions.prf:
c:\Qt\2010.01\qt\mkspecs\features\qt_config.prf:
c:\Qt\2010.01\qt\mkspecs\features\exclusive_builds.prf:
c:\Qt\2010.01\qt\mkspecs\features\default_pre.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\default_pre.prf:
common.pri:
c:\Qt\2010.01\qt\mkspecs\features\debug.prf:
c:\Qt\2010.01\qt\mkspecs\features\debug_and_release.prf:
c:\Qt\2010.01\qt\mkspecs\features\default_post.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\default_post.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\rtti.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\exceptions.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\stl.prf:
c:\Qt\2010.01\qt\mkspecs\features\shared.prf:
c:\Qt\2010.01\qt\mkspecs\features\warn_on.prf:
c:\Qt\2010.01\qt\mkspecs\features\qt.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\thread.prf:
c:\Qt\2010.01\qt\mkspecs\features\moc.prf:
c:\Qt\2010.01\qt\mkspecs\features\win32\windows.prf:
c:\Qt\2010.01\qt\mkspecs\features\resources.prf:
c:\Qt\2010.01\qt\mkspecs\features\uic.prf:
c:\Qt\2010.01\qt\mkspecs\features\yacc.prf:
c:\Qt\2010.01\qt\mkspecs\features\lex.prf:
c:\Qt\2010.01\qt\mkspecs\features\include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -win32 -o Makefile qtsoap.pro

qmake_all: sub-examples-qmake_all FORCE

make_default: sub-examples-make_default-ordered FORCE
make_first: sub-examples-make_first-ordered FORCE
all: sub-examples-all-ordered FORCE
clean: sub-examples-clean-ordered FORCE
distclean: sub-examples-distclean-ordered FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-examples-install_subtargets-ordered FORCE
uninstall_subtargets: sub-examples-uninstall_subtargets-ordered FORCE

sub-examples-sub_Debug_ordered: examples\$(MAKEFILE)
	cd examples\ && $(MAKE) debug
debug: sub-examples-sub_Debug_ordered

sub-examples-sub_Release_ordered: examples\$(MAKEFILE)
	cd examples\ && $(MAKE) release
release: sub-examples-sub_Release_ordered

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:
