=== app/src/user_interface/user_interface/maemo/maemo/Makefile ===
#############################################################################
# Makefile for building: libDemo.so
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Apr 12 22:32:14 2010
# Project:  Demo.pro
# Template: lib
# Command: /usr/local/bin/qmake -unix -o Makefile Demo.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/opt/qt4-maemo5/lib -shared
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtGui -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/local/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = mainwindow.cpp \
		tableproduct.cpp \
		pathwidget.cpp \
		filteredit.cpp \
		guiplugin.cpp \
		goodswidget.cpp \
		navigationbutton.cpp \
		ordermenuwidget.cpp \
		orderwidget.cpp \
		contentwidget.cpp \
		logowidget.cpp \
		commonmenucontentwidget.cpp \
		commoncontentwidget.cpp \
		treesearchdialog.cpp \
		pathwidgetitem.cpp \
		servicelogo.cpp \
		goodsinfodialog.cpp \
		servicechoosewidget.cpp \
		ordermenucontrol.cpp \
		InformationObjects/goodinfoobject.cpp \
		InformationObjects/goodsviewinfoobject.cpp \
		InformationObjects/pathinfoobject.cpp \
		InformationObjects/serviceinfoobject.cpp moc_mainwindow.cpp \
		moc_tableproduct.cpp \
		moc_pathwidget.cpp \
		moc_filteredit.cpp \
		moc_guiplugin.cpp \
		moc_imainwindow.cpp \
		moc_goodswidget.cpp \
		moc_navigationbutton.cpp \
		moc_ordermenuwidget.cpp \
		moc_orderwidget.cpp \
		moc_contentwidget.cpp \
		moc_logowidget.cpp \
		moc_commonmenucontentwidget.cpp \
		moc_commoncontentwidget.cpp \
		moc_treesearchdialog.cpp \
		moc_pathwidgetitem.cpp \
		moc_servicelogo.cpp \
		moc_goodsinfodialog.cpp \
		moc_servicechoosewidget.cpp \
		moc_ordermenucontrol.cpp \
		moc_goodinfoobject.cpp \
		moc_goodsviewinfoobject.cpp \
		moc_pathinfoobject.cpp \
		moc_serviceinfoobject.cpp \
		qrc_res.cpp
OBJECTS       = mainwindow.o \
		tableproduct.o \
		pathwidget.o \
		filteredit.o \
		guiplugin.o \
		goodswidget.o \
		navigationbutton.o \
		ordermenuwidget.o \
		orderwidget.o \
		contentwidget.o \
		logowidget.o \
		commonmenucontentwidget.o \
		commoncontentwidget.o \
		treesearchdialog.o \
		pathwidgetitem.o \
		servicelogo.o \
		goodsinfodialog.o \
		servicechoosewidget.o \
		ordermenucontrol.o \
		goodinfoobject.o \
		goodsviewinfoobject.o \
		pathinfoobject.o \
		serviceinfoobject.o \
		moc_mainwindow.o \
		moc_tableproduct.o \
		moc_pathwidget.o \
		moc_filteredit.o \
		moc_guiplugin.o \
		moc_imainwindow.o \
		moc_goodswidget.o \
		moc_navigationbutton.o \
		moc_ordermenuwidget.o \
		moc_orderwidget.o \
		moc_contentwidget.o \
		moc_logowidget.o \
		moc_commonmenucontentwidget.o \
		moc_commoncontentwidget.o \
		moc_treesearchdialog.o \
		moc_pathwidgetitem.o \
		moc_servicelogo.o \
		moc_goodsinfodialog.o \
		moc_servicechoosewidget.o \
		moc_ordermenucontrol.o \
		moc_goodinfoobject.o \
		moc_goodsviewinfoobject.o \
		moc_pathinfoobject.o \
		moc_serviceinfoobject.o \
		qrc_res.o
DIST          = /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		Demo.pro
QMAKE_TARGET  = Demo
DESTDIR       = 
TARGET        = libDemo.so
TARGETD       = libDemo.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: Demo.pro  /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile Demo.pro
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile Demo.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/Demo1.0.0 || $(MKDIR) .tmp/Demo1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/Demo1.0.0/ && $(COPY_FILE) --parents mainwindow.h tableproduct.h pathwidget.h filteredit.h guiplugin.h graphicsinterface.h imainwindow.h goodswidget.h navigationbutton.h ordermenuwidget.h orderwidget.h contentwidget.h logowidget.h commonmenucontentwidget.h commoncontentwidget.h treesearchdialog.h pathwidgetitem.h servicelogo.h goodsinfodialog.h interfaces/igoodsinfo.h servicechoosewidget.h ordermenucontrol.h InformationObjects/goodinfoobject.h InformationObjects/goodsviewinfoobject.h InformationObjects/pathinfoobject.h InformationObjects/serviceinfoobject.h .tmp/Demo1.0.0/ && $(COPY_FILE) --parents res.qrc .tmp/Demo1.0.0/ && $(COPY_FILE) --parents mainwindow.cpp tableproduct.cpp pathwidget.cpp filteredit.cpp guiplugin.cpp goodswidget.cpp navigationbutton.cpp ordermenuwidget.cpp orderwidget.cpp contentwidget.cpp logowidget.cpp commonmenucontentwidget.cpp commoncontentwidget.cpp treesearchdialog.cpp pathwidgetitem.cpp servicelogo.cpp goodsinfodialog.cpp servicechoosewidget.cpp ordermenucontrol.cpp InformationObjects/goodinfoobject.cpp InformationObjects/goodsviewinfoobject.cpp InformationObjects/pathinfoobject.cpp InformationObjects/serviceinfoobject.cpp .tmp/Demo1.0.0/ && (cd `dirname .tmp/Demo1.0.0` && $(TAR) Demo1.0.0.tar Demo1.0.0 && $(COMPRESS) Demo1.0.0.tar) && $(MOVE) `dirname .tmp/Demo1.0.0`/Demo1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/Demo1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_tableproduct.cpp moc_pathwidget.cpp moc_filteredit.cpp moc_guiplugin.cpp moc_imainwindow.cpp moc_goodswidget.cpp moc_navigationbutton.cpp moc_ordermenuwidget.cpp moc_orderwidget.cpp moc_contentwidget.cpp moc_logowidget.cpp moc_commonmenucontentwidget.cpp moc_commoncontentwidget.cpp moc_treesearchdialog.cpp moc_pathwidgetitem.cpp moc_servicelogo.cpp moc_goodsinfodialog.cpp moc_servicechoosewidget.cpp moc_ordermenucontrol.cpp moc_goodinfoobject.cpp moc_goodsviewinfoobject.cpp moc_pathinfoobject.cpp moc_serviceinfoobject.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_tableproduct.cpp moc_pathwidget.cpp moc_filteredit.cpp moc_guiplugin.cpp moc_imainwindow.cpp moc_goodswidget.cpp moc_navigationbutton.cpp moc_ordermenuwidget.cpp moc_orderwidget.cpp moc_contentwidget.cpp moc_logowidget.cpp moc_commonmenucontentwidget.cpp moc_commoncontentwidget.cpp moc_treesearchdialog.cpp moc_pathwidgetitem.cpp moc_servicelogo.cpp moc_goodsinfodialog.cpp moc_servicechoosewidget.cpp moc_ordermenucontrol.cpp moc_goodinfoobject.cpp moc_goodsviewinfoobject.cpp moc_pathinfoobject.cpp moc_serviceinfoobject.cpp
moc_mainwindow.cpp: imainwindow.h \
