=== debian/control ===
Source: mobile-trade
Section: libs
Priority: extra
Maintainer: Andrianov Pavel <andriano@kappa.cs.karelia.ru>
Build-Depends: libqt4-maemo5-dev, libgconf2-6, gconf2, libgconf2-dev
Standards-Version: 3.7.3

Package: mobile-trade
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

Package: mobile-trade-0.1
Architecture: any
Section: devel
Depends: libqt4-maemo5-core (>= 4.6.1), libqt4-maemo5-gui (>= 4.6.1), libqt4-maemo5-network(>= 4.6.1), libqt4-maemo5-sql(>= 4.6.1), libqt4-maemo5-sql-sqlite(>= 4.6.1), libqt4-maemo5-dev(>= 4.6.1), libqt4-maemo5-maemo5(>= 4.6.1) , libgconf2-6, gconf2, libgconf2-dev
Description: Qt 4 Declarative development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
